Name:		dcgui-qt
Version:	0.3.1
Release:	0.lvn.2%{?dist_tag}
Epoch:		0
Summary:	A client for the directconnect peer to peer network 
Group:     	Applications/Internet
License:	GPL
Url:		http://dcgui.berlios.de
Source:		http://download.berlios.de/dcgui/dcgui-qt-0.3.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: dcgui-qt.png
Source2: dcgui-qt.desktop

BuildRequires: dclib-devel >= %{version}
BuildRequires: openssl-devel
BuildRequires: libxml2-devel
BuildRequires: bzip2-devel
BuildRequires: desktop-file-utils

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}


%description
This is a client for the direct connect file sharing protocol with
a graphical interface using the qt widget set.


%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

install -p -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
                                                                                
desktop-file-install --vendor livna \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications\
  --add-category X-Livna \
  %{SOURCE2} 


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/dcgui
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Sep 10 2004 Rex Dieter <rexdieter at sf.net> 0:0.3.1-0.lvn.2
- cleanup, make buildable back to rh73.

* Fri May 03 2003 Noa Resare <noa@resare.com> - 0.3.1-0.lvn.1
- Initial livna release based on packaging by mathen(a)users.berlios.de
